rubygem-rubyzipの脆弱性(CVE-2018-1000544)




06/26/2018に、rubygem-rubyzipの脆弱性情報(CVE-2018-1000544)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

06/26/2018に、rubygem-rubyzipの脆弱性情報(CVE-2018-1000544)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



Priority

Moderate

修正方法

各ディストリビューションの情報を確認してください。

脆弱性概要(詳細は一次情報源をご確認ください)


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteやKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、peacemakerなどOSSのクラスタ製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

https://github.com/rubyzip/rubyzip/issues/369

セキュリティ系連載案内


セミナー情報

2018年07月13日 (金) 19:00から、「OSSセキュリティ技術の会 第三回勉強会 (副題:"Keycloak"で、"認証王"に!!!おれはなるっ!!!!)」 と題しまして、OSS認証基盤のKeycloakに特化した話をさせて頂きます。

https://secureoss-sig.connpass.com/event/90917/がプログラム内容と申し込みの詳細になりますので、是非お申し込み下さい。

前へ

PHPの脆弱性情報(CVE-2018-12882)

次へ

Xenの複数の脆弱性(XSA-264: CVE-2018-12891 / XSA-265: CVE-2018-12893 / XSA-266: CVE-2018-12892)